GNU bug report logs - #33080
[PATCH] gnu: Add inferno.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Diego Nicola Barbato <dnbarbato@HIDDEN>; Keywords: patch; dated Wed, 17 Oct 2018 21:26:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 33080 <at> debbugs.gnu.org:


Received: (at 33080) by debbugs.gnu.org; 15 Nov 2018 11:51:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 15 06:51:48 2018
Received: from localhost ([127.0.0.1]:53060 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gNGBY-0003MZ-5u
	for submit <at> debbugs.gnu.org; Thu, 15 Nov 2018 06:51:48 -0500
Received: from eggs.gnu.org ([208.118.235.92]:37246)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gNGBW-0003MJ-DV
 for 33080 <at> debbugs.gnu.org; Thu, 15 Nov 2018 06:51:46 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gNGBO-0007tn-DG
 for 33080 <at> debbugs.gnu.org; Thu, 15 Nov 2018 06:51:40 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:60506)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gNGBH-0007rQ-JV; Thu, 15 Nov 2018 06:51:32 -0500
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=53646 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1gNGBC-0003kJ-M3; Thu, 15 Nov 2018 06:51:28 -0500
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Diego Nicola Barbato <dnbarbato@HIDDEN>
Subject: Re: [bug#33080] [PATCH] gnu: Add inferno.
References: <87bm7sjmfc.fsf@HIDDEN> <87lg60yfir.fsf@HIDDEN>
 <87a7mazit8.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 25 Brumaire an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Thu, 15 Nov 2018 12:51:24 +0100
In-Reply-To: <87a7mazit8.fsf@HIDDEN> (Diego Nicola Barbato's message of
 "Thu, 15 Nov 2018 12:22:43 +0100")
Message-ID: <874lci4kzn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33080
Cc: 33080 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hi Diego,

Diego Nicola Barbato <dnbarbato@HIDDEN> skribis:

> ludo@HIDDEN (Ludovic Court=C3=A8s) writes:
>
>> Hi Diego,
>>
>> Sorry for the late reply.
>>
>> Diego Nicola Barbato <dnbarbato@HIDDEN> skribis:
>>
>>> This patch adds inferno as discussed here:
>>> https://lists.gnu.org/archive/html/guix-devel/2018-10/msg00031.html
>>
>> In that thread we discussed the font issue, and I=E2=80=99m unsure if it=
 was
>> resolved:
>>
>>   <https://lists.gnu.org/archive/html/guix-devel/2018-10/msg00265.html>
>>
>> Is everything =E2=80=9Cknown good=E2=80=9D with this version of the patc=
h?
>
> Unfortunately it is not.  As you suggested, I wrote to the
> GNU/Linux-libre mailing list asking for advice on the font issues [1]
> and the licensing issues [2].  The only reply I got so far is not very
> encouraging.  Maybe it is best to put this on hold until I receive more
> information?

Sure, thanks for asking for advice on gnu-linux-libre.

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#33080; Package guix-patches. Full text available.

Message received at 33080 <at> debbugs.gnu.org:


Received: (at 33080) by debbugs.gnu.org; 15 Nov 2018 11:22:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 15 06:22:53 2018
Received: from localhost ([127.0.0.1]:53047 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gNFjY-0002aL-SJ
	for submit <at> debbugs.gnu.org; Thu, 15 Nov 2018 06:22:53 -0500
Received: from mout01.posteo.de ([185.67.36.65]:55571)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dnbarbato@HIDDEN>) id 1gNFjW-0002a7-QW
 for 33080 <at> debbugs.gnu.org; Thu, 15 Nov 2018 06:22:51 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id AA7BC16005D
 for <33080 <at> debbugs.gnu.org>; Thu, 15 Nov 2018 12:22:44 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.de; s=2017;
 t=1542280964; bh=kVCCxUEUXMSZTGGCYdoqbcbXyleChKUegaMrZx1qLgM=;
 h=From:To:Cc:Subject:Date:From;
 b=A93Fda1vVkZzVYBkTsTIsB6d7BSx/bP1OlzYewyZ7337xvqqW3YOOhIaSw6MDf2RT
 F4257PzulmDx8SXvHqHfNgOl7axubmKAkbxdh94gpZNYAtomW7QFb954DYRU1/BH0r
 6dopke/OvuV6qh67kcKpJetfWR82btP3druJ1yjOP4EBfMvk7mx4xWsplxThDeJIQ7
 X0vQ0LMGZWYGffGM3irPViZ2Fmbg/skEzTI21KHS9VpPpF+MvcuBWcE+ST/8SBsqjF
 QdiD2Tll6UdpCSwfrTjHmmroQydT1i4gED/i1dKYZ7dNffBNklw7CVvuCnhIAsGZ/N
 jyu465A5T4beQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 42wf9H6rN0z6tm7;
 Thu, 15 Nov 2018 12:22:43 +0100 (CET)
From: Diego Nicola Barbato <dnbarbato@HIDDEN>
To: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
Subject: Re: [bug#33080] [PATCH] gnu: Add inferno.
References: <87bm7sjmfc.fsf@HIDDEN> <87lg60yfir.fsf@HIDDEN>
Date: Thu, 15 Nov 2018 12:22:43 +0100
Message-ID: <87a7mazit8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33080
Cc: 33080 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello Ludo,

ludo@HIDDEN (Ludovic Court=C3=A8s) writes:

> Hi Diego,
>
> Sorry for the late reply.
>
> Diego Nicola Barbato <dnbarbato@HIDDEN> skribis:
>
>> This patch adds inferno as discussed here:
>> https://lists.gnu.org/archive/html/guix-devel/2018-10/msg00031.html
>
> In that thread we discussed the font issue, and I=E2=80=99m unsure if it =
was
> resolved:
>
>   <https://lists.gnu.org/archive/html/guix-devel/2018-10/msg00265.html>
>
> Is everything =E2=80=9Cknown good=E2=80=9D with this version of the patch?

Unfortunately it is not.  As you suggested, I wrote to the
GNU/Linux-libre mailing list asking for advice on the font issues [1]
and the licensing issues [2].  The only reply I got so far is not very
encouraging.  Maybe it is best to put this on hold until I receive more
information?

>> From c97b28e97a210cc31e34c08bc1abdc8bd74114fa Mon Sep 17 00:00:00 2001
>> From: Diego Nicola Barbato <dnbarbato@HIDDEN>
>> Date: Wed, 17 Oct 2018 23:07:40 +0200
>> Subject: [PATCH] gnu: Add inferno.
>>
>> * gnu/packages/inferno.scm: New file.
>> * gnu/local.mk (GNU_SYSTEM_MODULES): Register it.
>
> Overall it LGTM!  Minor suggestions here:
>
>> +         #:phases
>> +         (let* ((bash (assoc-ref %build-inputs "bash"))
>> +                (objtype ,@(match (%current-system)
>> +                             ((or "armhf-linux" "aarch64-linux")
>> +                              `("arm"))
>> +                             (_
>> +                              `("386"))))
>> +                (out (assoc-ref %outputs "out"))
>> +                (root (string-append out "/share/inferno"))
>> +                (root/bindir (string-append root "/Linux/"
>> +                                            objtype "/bin"))
>> +                (bindir (string-append out "/bin"))
>> +                (infwm-script (string-append bindir "/infwm")))
>> +           `(,(assoc 'set-paths %standard-phases)
>> +             (unpack . ,(lambda* (#:key source #:allow-other-keys)
>
> For consistency, I would very much prefer if we could use
> =E2=80=98modify-phases=E2=80=99 here, which is what is used throughout gn=
u/packages.
> If that=E2=80=99s fine with you, could you update the patch?
>
>> +      (synopsis
>> +       "Compact operating system for building cross-platform distribute=
d systems")
>
> Maybe shorten to =E2=80=9COperating system for building distributed syste=
ms=E2=80=9D?

If it is OK I will wait for the font and licensing issues to be resolved
before I update the patch, since, as of now, it looks to me like Inferno
can not be included in an FSDG distro.=20

Thanks for the feedback and I am sorry this turned out to be more
complicated than I anticipated.

Diego


[1]: https://lists.nongnu.org/archive/html/gnu-linux-libre/2018-11/msg00000=
.html
[2]: https://lists.nongnu.org/archive/html/gnu-linux-libre/2018-11/msg00001=
.html




Information forwarded to guix-patches@HIDDEN:
bug#33080; Package guix-patches. Full text available.

Message received at 33080 <at> debbugs.gnu.org:


Received: (at 33080) by debbugs.gnu.org; 10 Nov 2018 18:45:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 10 13:45:59 2018
Received: from localhost ([127.0.0.1]:44956 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gLYGd-0000EZ-8A
	for submit <at> debbugs.gnu.org; Sat, 10 Nov 2018 13:45:59 -0500
Received: from eggs.gnu.org ([208.118.235.92]:47308)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gLYGb-0000EK-G2
 for 33080 <at> debbugs.gnu.org; Sat, 10 Nov 2018 13:45:57 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gLYGS-0007iW-7G
 for 33080 <at> debbugs.gnu.org; Sat, 10 Nov 2018 13:45:52 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:33354)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gLXdX-0006v9-Vn; Sat, 10 Nov 2018 13:05:36 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=33990 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1gLXdW-0004Q4-6b; Sat, 10 Nov 2018 13:05:35 -0500
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Diego Nicola Barbato <dnbarbato@HIDDEN>
Subject: Re: [bug#33080] [PATCH] gnu: Add inferno.
References: <87bm7sjmfc.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 20 Brumaire an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Sat, 10 Nov 2018 19:05:32 +0100
In-Reply-To: <87bm7sjmfc.fsf@HIDDEN> (Diego Nicola Barbato's message of
 "Wed, 17 Oct 2018 23:25:11 +0200")
Message-ID: <87lg60yfir.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33080
Cc: 33080 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hi Diego,

Sorry for the late reply.

Diego Nicola Barbato <dnbarbato@HIDDEN> skribis:

> This patch adds inferno as discussed here:
> https://lists.gnu.org/archive/html/guix-devel/2018-10/msg00031.html

In that thread we discussed the font issue, and I=E2=80=99m unsure if it was
resolved:

  <https://lists.gnu.org/archive/html/guix-devel/2018-10/msg00265.html>

Is everything =E2=80=9Cknown good=E2=80=9D with this version of the patch?

> From c97b28e97a210cc31e34c08bc1abdc8bd74114fa Mon Sep 17 00:00:00 2001
> From: Diego Nicola Barbato <dnbarbato@HIDDEN>
> Date: Wed, 17 Oct 2018 23:07:40 +0200
> Subject: [PATCH] gnu: Add inferno.
>
> * gnu/packages/inferno.scm: New file.
> * gnu/local.mk (GNU_SYSTEM_MODULES): Register it.

Overall it LGTM!  Minor suggestions here:

> +         #:phases
> +         (let* ((bash (assoc-ref %build-inputs "bash"))
> +                (objtype ,@(match (%current-system)
> +                             ((or "armhf-linux" "aarch64-linux")
> +                              `("arm"))
> +                             (_
> +                              `("386"))))
> +                (out (assoc-ref %outputs "out"))
> +                (root (string-append out "/share/inferno"))
> +                (root/bindir (string-append root "/Linux/"
> +                                            objtype "/bin"))
> +                (bindir (string-append out "/bin"))
> +                (infwm-script (string-append bindir "/infwm")))
> +           `(,(assoc 'set-paths %standard-phases)
> +             (unpack . ,(lambda* (#:key source #:allow-other-keys)

For consistency, I would very much prefer if we could use
=E2=80=98modify-phases=E2=80=99 here, which is what is used throughout gnu/=
packages.
If that=E2=80=99s fine with you, could you update the patch?

> +      (synopsis
> +       "Compact operating system for building cross-platform distributed=
 systems")

Maybe shorten to =E2=80=9COperating system for building distributed systems=
=E2=80=9D?

Thanks!

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#33080; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Oct 2018 21:25:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 17 17:25:36 2018
Received: from localhost ([127.0.0.1]:55875 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gCtJq-0008IN-RM
	for submit <at> debbugs.gnu.org; Wed, 17 Oct 2018 17:25:36 -0400
Received: from eggs.gnu.org ([208.118.235.92]:38513)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dnbarbato@HIDDEN>) id 1gCtJo-0008I6-N9
 for submit <at> debbugs.gnu.org; Wed, 17 Oct 2018 17:25:29 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dnbarbato@HIDDEN>) id 1gCtJh-0001lc-WA
 for submit <at> debbugs.gnu.org; Wed, 17 Oct 2018 17:25:23 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:42430)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <dnbarbato@HIDDEN>) id 1gCtJh-0001lO-PN
 for submit <at> debbugs.gnu.org; Wed, 17 Oct 2018 17:25:21 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:48094)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dnbarbato@HIDDEN>) id 1gCtJg-0003Fy-41
 for guix-patches@HIDDEN; Wed, 17 Oct 2018 17:25:21 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dnbarbato@HIDDEN>) id 1gCtJb-0001gU-Jv
 for guix-patches@HIDDEN; Wed, 17 Oct 2018 17:25:20 -0400
Received: from mout01.posteo.de ([185.67.36.65]:45070)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <dnbarbato@HIDDEN>) id 1gCtJb-0001dq-3Q
 for guix-patches@HIDDEN; Wed, 17 Oct 2018 17:25:15 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id EF935210E6
 for <guix-patches@HIDDEN>; Wed, 17 Oct 2018 23:25:12 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.de; s=2017;
 t=1539811513; bh=LxrySucuQOBZV0kIs5MonyckNNb7XcstCKBBTkpa3Hc=;
 h=From:To:Subject:Date:From;
 b=RD1hsLGvwned7RCDQwJI5VcXdgGpYPdd4svJW7X1IpDKnL1Dfn+NzFc3qFFc7tVal
 YpliOwsSBcnyxtEvVOrG/GIrpazNsl4n98RANnAwVEYMRSSMf9pcNuLWmffI9DI5GO
 wpXkKiCbyM/QbpbI9EFybfJEh8LDdwJIrflmjsfJdo2D2KtJIEL7dq93bRcEcQanyC
 fSzYBPYMqj8YAQysqWYfs8sSLaE7tYPmjiL0YRuRQ5nIhg+4x3PA49kpz2tBvrdwVM
 VDc3uIu6EgwbSxPsPsoQl5/CJ951PnXDWIHQnozG8AQFzflpYjxPNOcsPWIRGRSlKW
 anVIlSyrFcn/g==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 42b4vr1chlz6tm5
 for <guix-patches@HIDDEN>; Wed, 17 Oct 2018 23:25:12 +0200 (CEST)
From: Diego Nicola Barbato <dnbarbato@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: Add inferno.
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
Date: Wed, 17 Oct 2018 23:25:11 +0200
Message-ID: <87bm7sjmfc.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

--=-=-=
Content-Type: text/plain

Hello Guix,

This patch adds inferno as discussed here:
https://lists.gnu.org/archive/html/guix-devel/2018-10/msg00031.html


--=-=-=
Content-Type: text/x-patch; charset=utf-8
Content-Disposition: inline; filename=0001-gnu-Add-inferno.patch
Content-Transfer-Encoding: quoted-printable

From c97b28e97a210cc31e34c08bc1abdc8bd74114fa Mon Sep 17 00:00:00 2001
From: Diego Nicola Barbato <dnbarbato@HIDDEN>
Date: Wed, 17 Oct 2018 23:07:40 +0200
Subject: [PATCH] gnu: Add inferno.

* gnu/packages/inferno.scm: New file.
* gnu/local.mk (GNU_SYSTEM_MODULES): Register it.
---
 gnu/local.mk             |   1 +
 gnu/packages/inferno.scm | 201 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 202 insertions(+)
 create mode 100644 gnu/packages/inferno.scm

diff --git a/gnu/local.mk b/gnu/local.mk
index 402505e22..d10db3dcc 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -232,6 +232,7 @@ GNU_SYSTEM_MODULES =3D				\
   %D%/packages/image-processing.scm	\
   %D%/packages/image-viewers.scm	\
   %D%/packages/imagemagick.scm			\
+  %D%/packages/inferno.scm			\
   %D%/packages/inklingreader.scm		\
   %D%/packages/inkscape.scm			\
   %D%/packages/irc.scm  			\
diff --git a/gnu/packages/inferno.scm b/gnu/packages/inferno.scm
new file mode 100644
index 000000000..7bf9f970e
--- /dev/null
+++ b/gnu/packages/inferno.scm
@@ -0,0 +1,201 @@
+;;; GNU Guix --- Functional package management for GNU
+;;; Copyright =C2=A9 2018 Diego Nicola Barbato <dnbarbato@HIDDEN>
+;;;
+;;; This file is part of GNU Guix.
+;;;
+;;; GNU Guix is free software; you can redistribute it and/or modify it
+;;; under the terms of the GNU General Public License as published by
+;;; the Free Software Foundation; either version 3 of the License, or (at
+;;; your option) any later version.
+;;;
+;;; GNU Guix is distributed in the hope that it will be useful, but
+;;; WITHOUT ANY WARRANTY; without even the implied warranty of
+;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+;;; GNU General Public License for more details.
+;;;
+;;; You should have received a copy of the GNU General Public License
+;;; along with GNU Guix.  If not, see <http://www.gnu.org/licenses/>.
+
+(define-module (gnu packages inferno)
+  #:use-module (ice-9 match)
+  #:use-module (guix packages)
+  #:use-module (guix git-download)
+  #:use-module (guix hg-download)
+  #:use-module (guix build-system gnu)
+  #:use-module ((guix licenses) #:prefix license:)
+  #:use-module (gnu packages xorg))
+
+(define-public inferno
+  (let ((commit "62ae0f7")
+        (revision "0"))
+    (package
+      (name "inferno")
+      (version (git-version "4" revision commit))
+      (source
+       (origin
+         (method hg-fetch)
+         (uri (hg-reference
+               (url "https://bitbucket.org/inferno-os/inferno-os")
+               (changeset commit)))
+         (file-name (string-append name "-" version "-checkout"))
+         (sha256
+          (base32 "18irka9qad8m1r2m9f56glv9d0gwk4ai7n7i0mzbi47vcmm60hdd"))
+         ;; Remove bundled non-free fonts.
+         (modules '((guix build utils)))
+         (snippet
+          '(begin
+             (for-each delete-file-recursively
+                       '("fonts/lucidasans"
+                         "fonts/pelm"
+                         "fonts/lucida"
+                         "fonts/lucm"))
+             #t))))
+      (build-system gnu-build-system)
+      (inputs `(("libx11" ,libx11)
+                ("xorgproto" ,xorgproto)
+                ("libxext" ,libxext)))
+      (arguments
+       `(;; Force a 32-bit build targeting a similar architecture, i.e.:
+         ;; armhf for armhf/aarch64, i686 for i686/x86_64.
+         #:system ,@(match (%current-system)
+                      ((or "armhf-linux" "aarch64-linux")
+                       `("armhf-linux"))
+                      (_
+                       `("i686-linux")))
+         #:phases
+         (let* ((bash (assoc-ref %build-inputs "bash"))
+                (objtype ,@(match (%current-system)
+                             ((or "armhf-linux" "aarch64-linux")
+                              `("arm"))
+                             (_
+                              `("386"))))
+                (out (assoc-ref %outputs "out"))
+                (root (string-append out "/share/inferno"))
+                (root/bindir (string-append root "/Linux/"
+                                            objtype "/bin"))
+                (bindir (string-append out "/bin"))
+                (infwm-script (string-append bindir "/infwm")))
+           `(,(assoc 'set-paths %standard-phases)
+             (unpack . ,(lambda* (#:key source #:allow-other-keys)
+                          ;; Extract directly to 'root' since the source
+                          ;; tree doubles as Inferno's root directory
+                          ;; and its path is baked into the emu binary.
+                          (mkdir-p root)
+                          ;; Do not preserve the data modification time
+                          ;; of files ('-m' flag) otherwise the 'build'
+                          ;; phase fails.
+                          (invoke "tar" "xvf" source "-C" root "--strip=3D=
1" "-m")
+                          (chdir root)
+                          #t))
+             (patch-src-files . ,(lambda _
+                                   ;; Substitute ocurrences of /bin/sh.
+                                   (for-each (lambda (file)
+                                               (substitute* file
+                                                 (("/bin/sh")
+                                                  (string-append bash "/bi=
n/sh"))))
+                                             '("makemk.sh"
+                                               "mkfiles/mkhost-Linux"
+                                               "emu/Linux/mk-wrt"
+                                               "utils/mk/Posix.c"))
+                                   ;; Do not pass '-m32' unconditionally
+                                   ;; when building mk.
+                                   (substitute* "makemk.sh"
+                                     (("-m32") ""))
+                                   ;; Use the correct name for gcc.
+                                   (substitute* "mkfiles/mkfile-Linux-386"
+                                     (("cc -") ; Don't match yacc.
+                                      "gcc -"))
+                                   (substitute* "mkfiles/mkfile-Linux-arm"
+                                     (("arm-gcc") "gcc"))
+                                   ;; Make build reproducible by
+                                   ;; ensuring timestamps embedded into
+                                   ;; binaries are set to 0.
+                                   (substitute* "emu/Linux/mkfile"
+                                     (("^KERNDATE=3D.*$")
+                                      "KERNDATE=3D0\n"))
+                                   #t))
+             (configure . ,(lambda _
+                             (substitute* "mkconfig"
+                               (("ROOT=3D/usr/inferno")
+                                (string-append "ROOT=3D" root))
+                               (("SYSHOST=3DPlan9")
+                                "SYSHOST=3DLinux")
+                               (("OBJTYPE=3D\\$objtype")
+                                (string-append "OBJTYPE=3D" objtype)))
+                             #t))
+             ;; Build mk.
+             ;; TODO: Use mk from 9base instead.
+             (makemk . ,(lambda _
+                          (invoke "./makemk.sh")))
+             (build . ,(lambda _
+                         ;; Add mk's location to PATH.
+                         (setenv "PATH"
+                                 (string-append
+                                  root/bindir ":"
+                                  (getenv "PATH")))
+                         ;; Build emu and .dis files using mk.
+                         (invoke "mk" "-s" "nuke" "mkdirs" "install")))
+             (install . ,(lambda _
+                           ;; Install infwm script.
+                           (mkdir-p bindir)
+                           (with-output-to-file infwm-script
+                             (lambda ()
+                               (display
+                                (string-append
+                                 "#!" bash "/bin/sh\n"
+                                 "exec " root/bindir "/emu $* "
+                                 "/dis/sh.dis -c \""
+                                 ;; Bind the host's /tmp to Inferno's
+                                 ;; /tmp to make it writable.
+                                 "bind -bc '#U*/tmp' /tmp; "
+                                 ;; Bind the host's /home to Inferno's
+                                 ;; /usr.
+                                 "bind '#U*/home' /usr; "
+                                 ;; Launch the window manager and login
+                                 ;; as $USER.
+                                 "wm/wm wm/logon -u $USER"
+                                 "\"\n"))))
+                           (chmod infwm-script #o755)
+                           ;; Install a symlink to the Inferno emulator.
+                           (symlink (string-append root/bindir "/emu")
+                                    (string-append bindir "/emu"))
+                           ;; Install a symlink to the Limbo compiler.
+                           (symlink (string-append root/bindir "/limbo")
+                                    (string-append bindir "/limbo"))
+                           #t))))))
+      (home-page "http://www.inferno-os.org")
+      (synopsis
+       "Compact operating system for building cross-platform distributed s=
ystems")
+      (description
+       ;; Except for the last sentence this is taken verbatim from the
+       ;; intro(1) man page (man/1/0intro in the source tree).
+       "Inferno is a virtualised operating system that can run natively ac=
ross
+a wide range of processor architectures or hosted on a wide range of
+operating systems.  The principal components of the system are:
+@itemize
+@item The Inferno kernel which can run both native and hosted on a
+range of platforms and which presents the same interface to programs
+in both cases.
+@item The Dis virtual machine.
+@item Styx - the tiny broad-spectrum file service protocol.
+@item Limbo - a new simple, modular, concurrent programming language.
+@item Tk and Prefab - graphical user interface (GUI) primitives
+without a lot of goo.
+@item The portable cross-development suites that allow any native
+Inferno platform to be cross-compiled on any hosted system.
+@end itemize
+This package provides hosted Inferno.\n")
+      (supported-systems '("i686-linux" "x86_64-linux" "armhf-linux" "aarc=
h64-linux"))
+      (license (list
+                ;; According to NOTICE the combined work is effectively
+                ;; GPLv2+.
+                license:gpl2+
+                license:lgpl2.0+
+                license:expat
+                ;; XXX: Contrary to NOTICE, which claims that the
+                ;; licenses of individual components "are all compatible
+                ;; with the GPLv2", the Lucent Public License 1.02 is
+                ;; not compatible with the GPL.
+                (license:non-copyleft
+                 "https://www.gnu.org/licenses/license-list.html#lucent102=
")
+                license:freetype)))))
--=20
2.19.0


--=-=-=--




Acknowledgement sent to Diego Nicola Barbato <dnbarbato@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#33080; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.